List named accounts
curl --request GET \
--url https://api.panoqore.example/v1/named-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/named-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/named-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/named-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"namedAccounts": [
{
"id": "<string>",
"accountId": "<string>",
"accountLabel": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"accountName": "<string>",
"currency": "<string>",
"status": "PENDING",
"mandateRef": "<string>",
"partnerRef": "<string>",
"failureReason": "<string>",
"pendingApprovalId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Named accounts
List named accounts
Scope: any one of read, entries:write.
GET
/
v1
/
named-accounts
List named accounts
curl --request GET \
--url https://api.panoqore.example/v1/named-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/named-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/named-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/named-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"namedAccounts": [
{
"id": "<string>",
"accountId": "<string>",
"accountLabel": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"accountName": "<string>",
"currency": "<string>",
"status": "PENDING",
"mandateRef": "<string>",
"partnerRef": "<string>",
"failureReason": "<string>",
"pendingApprovalId": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Query Parameters
1..200, default 50
account number from the start, or name anywhere
Example:
"safehaven"
PENDING: asked the partner, no number yet
Available options:
PENDING, ACTIVE, FROZEN, CLOSED, FAILED